For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
    • Error Codes
    • Async Processing
  • Endpoints
      • POSTCreate Evaluation Set
      • GETGet Evaluation Set
      • GETList Evaluation Sets
      • POSTCreate Evaluation Set Items
      • GETGet Evaluation Set Item
      • POSTUpdate Evaluation Set Item
      • DELDelete Evaluation Set Item
      • GETList Evaluation Set Items
      • POSTCreate Evaluation Set Run
      • GETGet Evaluation Set Run
  • Webhook Events
LogoLogo
EndpointsEvaluation

Create Evaluation Set

POST
/evaluation_sets
POST
/evaluation_sets
1import { ExtendClient } from "extend-ai";
2
3const client = new ExtendClient({ token: "YOUR_TOKEN" });
4await client.evaluationSets.create({
5 name: "Invoice Processing Test Set",
6 description: "Q4 vendor invoices for accuracy testing",
7 entityId: "ex_1234567890"
8});
1{
2 "object": "evaluation_set",
3 "id": "ev_2LcgeY_mp2T5yPaEuq5Lw",
4 "name": "Invoice Processing Test Set",
5 "description": "Q4 2023 vendor invoices for accuracy testing",
6 "entity": {
7 "object": "extractor",
8 "id": "ex_Xj8mK2pL9nR4vT7qY5wZ",
9 "name": "Invoice Extractor",
10 "createdAt": "2024-03-21T16:45:00Z",
11 "updatedAt": "2024-03-21T16:45:00Z"
12 },
13 "createdAt": "2024-03-21T16:45:00Z",
14 "updatedAt": "2024-03-21T16:45:00Z"
15}
Evaluation sets are collections of files and expected outputs that are used to evaluate the performance of a given extractor, classifier, or splitter. This endpoint will create a new evaluation set, which items can be added to using the [Create Evaluation Set Item](https://docs.extend.ai/2026-02-09/developers/api-reference/endpoints/evaluation/create-evaluation-set-item) endpoint. Note: It is not necessary to create an evaluation set via API. You can also create an evaluation set via the Extend dashboard and take the ID from there. To learn more about how to create evaluation sets, see the [Evaluation Sets](https://docs.extend.ai/2026-02-09/product/evaluation/overview) product page.
Was this page helpful?
Previous

Get Evaluation Set

Next
Built with

Evaluation sets are collections of files and expected outputs that are used to evaluate the performance of a given extractor, classifier, or splitter. This endpoint will create a new evaluation set, which items can be added to using the Create Evaluation Set Item endpoint.

Note: It is not necessary to create an evaluation set via API. You can also create an evaluation set via the Extend dashboard and take the ID from there. To learn more about how to create evaluation sets, see the Evaluation Sets product page.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-extend-api-version"2026-02-09"Optional
API version to use for the request. If you're using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2026-02-09/developers/api-versioning) for more details.

Request

This endpoint expects an object.
namestringRequired

The name of the evaluation set.

Example: "Invoice Processing Test Set"

entityIdstringRequired

The ID of the extractor, classifier, or splitter to create an evaluation set for. Evaluation sets can in theory be run against any extractor, classifier, or splitter, but it is required to associate the evaluation set with a primary extractor, classifier, or splitter.

Example: "ex_Xj8mK2pL9nR4vT7qY5wZ"

descriptionstringOptional

A description of what this evaluation set is used for.

Example: "Q4 2023 vendor invoices"

Response

Successfully created evaluation set
objectenum

The type of object. In this case, it will always be "evaluation_set".

Allowed values:
idstring

The ID of the evaluation set.

Example: "ev_2LcgeY_mp2T5yPaEuq5Lw"

namestring

The name of the evaluation set.

Example: "Invoice Processing Test Set"

descriptionstring

A description of the evaluation set.

Example: "Q4 2023 vendor invoices for accuracy testing"

entityobject
The extractor, classifier, or splitter associated with this evaluation set.
createdAtstringformat: "date-time"

The time (in UTC) at which the object was created. Will follow the RFC 3339 format.

Example: "2024-03-21T16:45:00Z"

updatedAtstringformat: "date-time"

The time (in UTC) at which the object was last updated. Will follow the RFC 3339 format.

Example: "2024-03-21T16:45:00Z"

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.